using CoreLibrary;
using Xunit;

namespace UnitTesting
{
    public class JetonUT
    {
        [Fact]
        public void TestConstructorValid()
        {
            Couleur[] listeCouleurs = (Couleur[])Enum.GetValues(typeof(Couleur));

            for (int i=0; i<listeCouleurs.Length; ++i)
            {
                Jeton jeton = new Jeton(listeCouleurs[i]);
                Assert.Equal(listeCouleurs[i], jeton.Couleur);
            }
        }
    }
}
